<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE section PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
	"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
	[ <!-- Include general documentation entities -->
		<!ENTITY % docentities SYSTEM "../../../../doc/docbook/entities.xml">
		%docentities;
	]
>

<section id="misctest.parameters" xmlns:xi="http://www.w3.org/2001/XInclude">
	<sectioninfo>
	</sectioninfo>
	<title>Parameters</title>

	<section id="misctest.p.memory">
		<title><varname>memory</varname> (int)</title>
		<para>
			Initialize for memory testing. Set it to 1 to prepare the memory
			testing.
		</para>
		<para>
			Default: 0 (off).
		</para>
		<example>
			<title>
				Set <varname>memory</varname> in the config file
			</title>
			<programlisting>
...
modparam("misctest", "memory", 1)
...
			</programlisting>
		</example>
	</section>

	<section id="misctest.p.mem_check_content">
		<title><varname>mem_check_content</varname> (int)</title>
		<para>
			When doing the tests, check also for the possibility of the
			memory being overwritten. When activated, the allocated memory
			will be filled with a special pattern, that will be checked on
			free.
		</para>
		<para>
			Default: 0 (off).
		</para>
		<para>
			It can be changed also at runtime, via the rpc interface.
		</para>
		<example>
			<title>
				Set <varname>mem_check_content</varname> in the config file
			</title>
			<programlisting>
...
modparam("misctest", "mem_check_content", 1)
...
			</programlisting>
		</example>
		<example>
			<title>
				Set <varname>mem_check_content</varname> at runtime via kamcmd
			</title>
			<programlisting>
...
$ &kamcmd; cfg.seti misctest mem_check_content 1
...
			</programlisting>
		</example>
	</section>

	<section id="misctest.p.message">
		<title><varname>message</varname> (int)</title>
		<para>
			Initialize and perform message testing.
		</para>
		<para>
			Default: 0 (off).
		</para>
		<example>
			<title>
				Set <varname>message</varname> in the config file
			</title>
			<programlisting>
...
modparam("misctest", "message", 1)
...
			</programlisting>
		</example>
	</section>

	<section id="misctest.p.message_data">
		<title><varname>message_data</varname> (str)</title>
		<para>
			Set SIP message data for testing.
		</para>
		<para>
			Default: NULL (not set).
		</para>
		<example>
			<title>
				Set <varname>message_data</varname> in the config file
			</title>
			<programlisting>
...
modparam("misctest", "message_data", "...")
...
			</programlisting>
		</example>
	</section>

	<section id="misctest.p.message_file">
		<title><varname>message_file</varname> (str)</title>
		<para>
			Set path to file from where to read SIP message data for testing.
		</para>
		<para>
			Default: NULL (not set).
		</para>
		<example>
			<title>
				Set <varname>message_file</varname> in the config file
			</title>
			<programlisting>
...
modparam("misctest", "message_file", "/tmp/sip-data.txt")
...
			</programlisting>
		</example>
	</section>

</section>
